<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.TransactionsTemplates']}</h1>
        <h:form id="form">
            <gri:panel rendered="#{not transTemplateManager.editTransactionTemplate}">
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.TransactionsTemplates']}</f:facet>
                <rich:dataTable id="tplisttable" var="currentTransactionTemplate"
                                value="#{transTemplateManager.getTransactionTemplates()}"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="ds">
                    <g:column sortBy="#{currentTransactionTemplate.id}" sortOrder="descending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
                        <h:outputText value="#{currentTransactionTemplate.id}"/>
                    </g:column>
                    <g:column sortBy="#{currentTransactionTemplate.name}">
                        <ui:define name="header">#{messages['xdr.systemeConfiguration.Name']}</ui:define>
                        <h:outputText value="#{currentTransactionTemplate.name}"/>
                    </g:column>
                    <g:column sortBy="#{currentTransactionTemplate.httpHeader}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.HttpHeader']}</ui:define>
                        <h:outputText value="#{currentTransactionTemplate.httpHeader}"/>
                    </g:column>

                    <g:column>
                        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</f:facet>
                        <div class="gzl-never-wrap">

                            <a4j:commandLink title="#{messages['users.Edit']}"
                                             rendered="#{s:hasRole('admin_role')}"
                                             render="form"
                                             actionListener="#{transTemplateManager.editTransactionTemplate(currentTransactionTemplate)}">
                                <span class="gzl-icon-pencil"/>
                            </a4j:commandLink>

                            <a4j:commandLink title="#{messages['users.Delete']}"
                                             rendered="#{s:hasRole('admin_role')}"
                                             action="#{transTemplateManager.setSelectedTransactionTemplate(currentTransactionTemplate)}"
                                             oncomplete="jq162('#DeleteSelectedTransactionTemplate').modal('show');"
                                             render="deleteSelectedTransactionTemplateForm,DeleteSelectedTransactionTemplate">
                                <span class="gzl-icon-trash-o"/>
                            </a4j:commandLink>
                        </div>
                    </g:column>

                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="tplisttable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
                <br/>
                <br/>
                <h:commandButton value="#{messages['net.ihe.gazelle.xdstar.AddNewTransactionTemplate']}"
                                 action="#{transTemplateManager.editNewTransactionTemplate()}" render="form"
                                 styleClass="gzl-btn-green"/>
                <br/>
            </gri:panel>
            <gri:panel rendered="#{transTemplateManager.editTransactionTemplate}">
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.EditTransactionTemplate']}</f:facet>
                <div class="form-horizontal">

                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['xdr.systemeConfiguration.Name']}</ui:define>
                        <ui:param name="id" value="nameInput"/>
                        <ui:param name="required" value="true"/>
                        <h:inputText id="nameInput" value="#{transTemplateManager.selectedTransactionTemplate.name}"
                                     styleClass="form-control" required="true"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HTTPHeader']}</ui:define>
                        <ui:param name="id" value="httpHeaderInput"/>
                        <h:inputText id="httpHeaderInput" value="#{transTemplateManager.selectedTransactionTemplate.httpHeader}"
                                     styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RequestType_2']}</ui:define>
                        <ui:param name="id" value="requestTypeInput"/>
                        <h:selectOneMenu id="requestTypeInput" value="#{transTemplateManager.selectedTransactionTemplate.requestType}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{transTemplateManager.getListMetadataMessageTypes()}" var="conf"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectSomeValue']}" label="#{conf}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ResponseType']}</ui:define>
                        <ui:param name="id" value="responseTypeInput"/>
                        <h:selectOneMenu id="responseTypeInput" value="#{transTemplateManager.selectedTransactionTemplate.responseType}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{transTemplateManager.getListMetadataMessageTypes()}" var="conf"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectSomeValue']}" label="#{conf}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Template']}</ui:define>
                        <ui:param name="id" value="templateInput"/>
                        <h:inputTextarea id="templateInput" cols="120" rows="30"
                                         value="#{transTemplateManager.selectedTransactionTemplate.template}"
                                         styleClass="form-control"/>
                    </s:decorate>
                </div>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.SaveTransactionTemplate']}" styleClass="gzl-btn-green"
                                   action="#{transTemplateManager.saveSelectedTransactionTemplate()}"
                                   render="messageDecoration,form"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.BackToList']}" styleClass="gzl-btn"
                                   actionListener="#{transTemplateManager.setEditTransactionTemplate(false)}"
                                   render="form" execute="@this"/>
            </gri:panel>
        </h:form>
        <h:form id="deleteSelectedTransactionTemplateForm">
            <gri:popupPanel id="DeleteSelectedTransactionTemplate" bodyStyleClass="gzl-select-modal-overflow-visible">
                <f:facet name="header">
                    <h:outputText value="#{messages['gazelle.simu.ConfirmDeletion']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                           onclick="jq162('#DeleteSelectedTransactionTemplate').modal('hide')"
                                           execute="@this"/>
                        <a4j:commandButton styleClass="gzl-btn-red"
                                           value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                           actionListener="#{transTemplateManager.deleteSelectedTransactionTemplate()}"
                                           onclick="jq162('#DeleteSelectedTransactionTemplate').modal('hide');"
                                           render="form,tplisttable"/>
                    </div>
                </f:facet>
                <s:decorate id="uuid_view" template="/layout/form/_edit.xhtml">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.YouAreAboutToDeleteTheTestPlanSelected']}"/>
                </s:decorate>

            </gri:popupPanel>
        </h:form>
    </ui:define>
</ui:composition>
